Bug 809912 - ip link shows UNKNOWN state for qeth interface
ip link shows UNKNOWN state for qeth interface
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: iproute (Show other bugs)
17
s390x Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-04 12:26 EDT by Dan Horák
Modified: 2013-08-01 14:03 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:02:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Use the new rta_getattr functions (36.43 KB, patch)
2012-04-18 10:13 EDT, Petr Šabata
no flags Details | Diff
SRPM with the patch included. (526.55 KB, application/octet-stream)
2012-04-19 11:12 EDT, Petr Šabata
no flags Details

  None (edit)
Description Dan Horák 2012-04-04 12:26:31 EDT
Description of problem:
<mock-chroot>[root@devel1 /]# rpm -q iproute
iproute-3.2.0-3.fc17.s390x
<mock-chroot>[root@devel1 /]# ip link show dev eth0
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1492 qdisc pfifo_fast state UNKNOWN qlen 1000
    link/ether 00:14:5e:78:2a:c6 brd ff:ff:ff:ff:ff:ff



Version-Release number of selected component (if applicable):
iproute-3.2.0-3.fc17.s390x


Additional info:
The ip tool has the same behaviour in f15 and f16. RHEL-6 version shows UP correctly.
Comment 1 Dan Horák 2012-04-04 12:34:49 EDT
And same with iproute 3.3.0

<mock-chroot>[root@devel1 /]# ip link show dev eth0
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1492 qdisc pfifo_fast state UNKNOWN mode DEFAULT qlen 1000
    link/ether 00:14:5e:78:2a:c6 brd ff:ff:ff:ff:ff:ff
<mock-chroot>[root@devel1 /]# rpm -q iproute
iproute-3.3.0-1.fc17.s390x

output from RHEL pre-6.3:
[root@devel2 ~]# ip link show dev eth0
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 00:14:5e:78:2a:c6 brd ff:ff:ff:ff:ff:ff
[root@devel2 ~]# rpm -qf $(which ip)
iproute-2.6.32-19.el6.s390x
Comment 2 Petr Šabata 2012-04-18 10:13:36 EDT
Created attachment 578365 [details]
Use the new rta_getattr functions

Backported the ff24746c upstream patch which should hopefully fix this and other related issues.
Comment 3 Dan Horák 2012-04-19 08:52:34 EDT
Petr, do you have a srpm containing the patch handy?
Comment 4 Petr Šabata 2012-04-19 11:12:23 EDT
Created attachment 578672 [details]
SRPM with the patch included.
Comment 5 Dan Horák 2012-04-24 03:16:54 EDT
Hm, it didn't help. I suppose it should work even from chroot.

<mock-chroot>[root@devel1 /]# ip addr
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1492 qdisc pfifo_fast state UNKNOWN qlen 1000
    link/ether 00:14:5e:78:2a:c6 brd ff:ff:ff:ff:ff:ff
    inet 10.16.104.64/21 brd 10.16.111.255 scope global eth0
    inet6 2620:52:0:1068:14:5e01:aa78:2ac6/64 scope global dynamic 
       valid_lft 2591888sec preferred_lft 604688sec
    inet6 fec0:0:a10:6f00:14:5e01:aa78:2ac6/64 scope site dynamic 
       valid_lft 2591888sec preferred_lft 604688sec
    inet6 fe80::14:5e01:aa78:2ac6/64 scope link 
       valid_lft forever preferred_lft forever
<mock-chroot>[root@devel1 /]# rpm -q iproute
iproute-3.3.0-2.fc17.s390x
Comment 6 John Donovan 2012-06-04 22:56:51 EDT
We have encountered the same issue on RHEL 6.2, but not on RHEL 5.8:

/etc/redhat-release
Red Hat Enterprise Linux Server release 6.2 (Santiago)

uname -r 
2.6.32-220.7.1.el6.x86_64

rpm -q iproute
iproute-2.6.32-17.el6.x86_64

ip addr
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UNKNOWN qlen0
    link/ether 00:00:00:00:00:22 brd ff:ff:ff:ff:ff:ff
    inet xxx.xxx.xxx.xxx.xxx/22 brd xxx.xxx.xxx.xxx scope global eth0
3: eth1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UNKNOWN qlen0
    link/ether 00:00:00:00:00:26 brd ff:ff:ff:ff:ff:ff
    inet yyy.yyy.yyy.yyy/21 brd yyy.yyy.yyy.yyy scope global eth1

RHEL 5.8:

/etc/redhat-release
Red Hat Enterprise Linux Server release 5.8 (Tikanga)

uname -r
2.6.18.308.4.1.el5

rpm-q iproute
iproute-2.6.18.13.el5

ip addr
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast qlen 1000
    link/ether 00:00:00:00:00:54 brd ff:ff:ff:ff:ff:ff
    inet xxx.xxx.xxx.xxx.xxx/24 brd xxx.xxx.xxx.xxx scope global eth0

Hope this helps...
Comment 7 Rainer Traut 2012-10-08 04:21:06 EDT
This affects RHEL6.3 as well.
We are seeing this when running as guest under VMware ESXi 5.1.

Should I open a support call and/or opening another BZ for RHEL6?
Comment 8 Rainer Traut 2012-10-08 04:22:52 EDT
This is what we're seeing:

# ip a l; dmesg |grep eth0 ; uname -a
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UNKNOWN qlen 1000
    link/ether 00:0c:29:eb:72:3a brd ff:ff:ff:ff:ff:ff
    inet 10.1.120.98/24 brd 10.1.120.255 scope global eth0
3: eth1: <BROADCAST,MULTICAST> mtu 1500 qdisc mq state DOWN qlen 1000
    link/ether 00:0c:29:eb:72:44 brd ff:ff:ff:ff:ff:ff
eth0: NIC Link is Up 10000 Mbps
eth0: intr type 3, mode 0, 3 vectors allocated
eth0: NIC Link is Up 10000 Mbps
Linux hajadu02 2.6.32-279.9.1.el6.x86_64 #1 SMP Fri Aug 31 09:04:24 EDT 2012 x86_64 x86_64 x86_64 GNU/Linux
Comment 9 Dan Horák 2012-10-08 08:14:23 EDT
(In reply to comment #7)
> This affects RHEL6.3 as well.
> We are seeing this when running as guest under VMware ESXi 5.1.
> 
> Should I open a support call and/or opening another BZ for RHEL6?

the proper way for RHEL should be to open a support request with a link to this BZ, but having also a clone of this BZ for RHEL can't hurt
Comment 10 Fedora End Of Life 2013-07-04 02:28:16 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2013-08-01 14:03:01 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.